首页 / 浏览问题 / 移动GIS / 问题详情
使用EffectView崩溃
51EXP 2022年08月12日

<com.supermap.ar.areffect.EffectView
    android:id="@+id/ar_view"
    android:layout_width="match_parent"
    android:layout_height="match_parent" />

使用产品:SuperMap iMobile 11i(2022) for Android

数据类型: 本地场景缓存

问题详细描述:布局中使用 EffectView , 运行后奔溃报错,如图,相应jar包已引入

1个回答

您好这边看您的错误信息是因为缺少方法导致的EffectView加载失败发生的错误呢,您那边的模块与项目的gradle配置文件都给我看一下呢,您的设备信息也说一下,
3,405EXP 2022年08月12日



设备是:三星Galaxy S8

建议引用的ar core包版本不要太高,您那边试试

com.google.ar:core:1.19.0
另外您再把以下3个包版本分别改为

 def filament_version = '1.12.0'
       api "com.google.android.filament:filament-android:$filament_version"
       api "com.google.android.filament:gltfio-android:$filament_version"
       api "com.google.android.filament:filament-utils-android:$filament_version"

...